#!/bin/sh

#echo $USER
#ls
version=`cat VERSION`
echo "Deploying Yellowfin based on Docker Image version: $version"
echo "Using MySQL database located at $DATABASE_URL"
if [ ! -d "/applications/yellowfin/" ]; then
    echo "Installing Yellowfin from $INSTALLER"
  java -jar $INSTALLER -silent installer.props option.db.hostname=$DATABASE_URL option.appmemory=3072 option.db.jdbcdriverfiles=/home/mysql-driver.jar
fi
cd yellowfin && ls
echo "Running Yellowfin"
/applications/yellowfin/appserver/bin/catalina.sh run
echo "Done!"
